import request from '@/utils/request'

// 分页
export function getPageList(data) {
  return request({
    url: `/device/version/pageList`,
    method: 'post',
    data: data
  })
}

// 详情
export function getDetailInfo(data) {
  return request({
    url: `/device/version/detailInfo`,
    method: 'post',
    data: data
  })
}

// 新增
export function getVersionAdd(data) {
  return request({
    url: `/device/version/add`,
    method: 'post',
    data: data
  })
}

// 编辑
export function updateEdit(data) {
  return request({
    url: `/device/version/update`,
    method: 'post',
    data: data
  })
}

// 删除
export function getVersionDelete(data) {
  return request({
    url: `/device/version/delete`,
    method: 'post',
    data: data
  })
}

// 产品型号列表
export function getClientTypeList(data) {
  return request({
    url: `/device/version/clientTypeList`,
    method: 'post',
    data: data
  })
}

// 
export function upload(data){
  return request({
    url: `/system/file/file/upload`,
    method: 'post',
    data: data,
    headers:{
      'Content-Type': 'multipart/form-data'
    }
  })
}
